=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/ktp-common-internals-([\d.]+)\.tar\.(?:bz2|xz)
http://download.kde.org/unstable/applications/([\d.]+)/src/ktp-common-internals-([\d.]+)\.tar\.(?:bz2|xz)
