## ktp-common-internals 18.04.3

=== debian/changelog ===
ktp-common-internals (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * Update install files
  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:21:29 +0100
