=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                gettext,
                libaccounts-qt5-dev (>= 1.10~),
                libgcrypt20-dev,
-               libkaccounts-dev (>= 4:17.12.3~),
+               libkaccounts-dev (>= 4:18.04.3~),
                libkf5config-dev (>= 5.31.0~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
@@ -32,7 +32,7 @@
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.6.1~),
                qtdeclarative5-dev (>= 5.6.1~),
-               telepathy-accounts-signon
+               telepathy-accounts-signon,
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-common-internals
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-common-internals
@@ -47,7 +47,7 @@
          libktpotr9 (= ${binary:Version}),
          libktpwidgets9 (= ${binary:Version}),
          libtelepathy-logger-qt-dev (>= 15.04),
-         ${misc:Depends}
+         ${misc:Depends},
 Breaks: libktpcommoninternalsprivate-dev (<< 15.03.80)
 Replaces: libktpcommoninternalsprivate-dev (<< 15.03.80)
 Description: KDE Telepathy internal library - Development headers
