## ktp-common-internals 18.12.3

=== debian/changelog ===
ktp-common-internals (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:33:01 +0000

ktp-common-internals (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:20:05 +0000

ktp-common-internals (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:13:58 +0000

ktp-common-internals (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:52:12 +0000

ktp-common-internals (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Build depend on libaccounts-glib-dev.
  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - Keep our symbols files.
    - Bumped build deps.
    - Kubuntu Vcs fields.
    - Breaks/Replaces to suit Kubuntu upload history.
    - d/meta/cmake-ignore: For Kubuntu CI.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 04 Jan 2019 10:37:36 +0000
