=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libaccounts-glib-dev,
                libaccounts-qt5-dev (>= 1.10~),
                libgcrypt20-dev,
-               libkaccounts-dev (>= 4:18.12.3~),
+               libkaccounts-dev (>= 4:19.04.3~),
                libkf5config-dev (>= 5.31.0~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
