## ktp-common-internals 19.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 cmake_policy(SET CMP0002 OLD)
 
 # KDE Application Version, managed by release script
-set (KDE_APPLICATIONS_VERSION_MAJOR "17")
+set (KDE_APPLICATIONS_VERSION_MAJOR "19")
 set (KDE_APPLICATIONS_VERSION_MINOR "12")
 set (KDE_APPLICATIONS_VERSION_MICRO "3")
 
@@ -20,8 +20,10 @@
 set (KTP_MESSAGE_FILTER_FRAMEWORK_VERSION "5")
 
 find_package (Qt5 REQUIRED CONFIG COMPONENTS
+              DBus
               Qml
-              Test)
+              Test
+              Xml)
 
 find_package (KF5 5.11 REQUIRED COMPONENTS
               CoreAddons
@@ -68,11 +70,11 @@
 include(FeatureSummary)
 
 set_package_properties(KF5People PROPERTIES DESCRIPTION "Support for KDE Contact Aggregation"
-                       URL "https://projects.kde.org/libkpeople"
+                       URL "https://commits.kde.org/kpeople"
                        TYPE OPTIONAL
                       )
 set_package_properties(TelepathyLoggerQt PROPERTIES DESCRIPTION "Qt bindings for TelepathyLogger. This is needed to provide access to chat logs. HIGHLY recommended"
-                       URL "http://projects.kde.org/telepathy-logger-qt"
+                       URL "https://commits.kde.org/telepathy-logger-qt"
                        TYPE OPTIONAL
                       )
 set_package_properties(LibOTR PROPERTIES DESCRIPTION "Required for OTR support" TYPE OPTIONAL)
